API DocumentationOrders

Create an order

POST
/api/manufacturer/v1/order

Creates a new order with the provided details

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

threadId?integer

ID of the thread to associate with the order

Formatint64
customerOrganisationId*integer

ID of the customer organisation to associated with the order

Formatint64
state?string

Whether to create an order, quote, or internal draft

Default"QUOTE"
Value in"QUOTE""ORDER""DRAFT"

Request Body

application/json
  1. body

Order details

requisitions*array<>
assemblyRequisitions*array<>
expenses*array<|>
currency*string
Value in"USD""SGD""EUR""INR""JPY""AUD""GBP""NZD""MYR""CAD""CHF""DKK""SEK""MXN""ZAR""UAH""NOK""PHP""TRY"
source*string
discountId?integer
Formatint64
operatorNote?string
isSilent?boolean
affiliate?string
paymentDueDate?string
Formatdate-time
discount?||
shipping?|||
billingAddressId?integer
Formatint64
ccCustomerIds*array<>
customReference?string
conversionDate?string

Moment the customer placed the order, as an ISO-8601 instant. Only supported for orders; defaults to now on placement. Future instants are rejected.

Formatdate-time

Response Body

Order successfully created

application/json
  1. response
order?
requisitions*
accountingSyncWarning?string
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/order?customerOrganisationId=0' \  -H 'Content-Type: application/json' \  -d '{  "requisitions": [    {      "requisitionIntentId": "4f452163-bc37-4324-abb4-e054f8422f48",      "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",      "units": "CENTIMETERS",      "quantity": 0,      "materialId": 0,      "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",      "postProcessing": [        {          "postProcessingId": 0,          "variables": {            "property1": 0,            "property2": 0          }        }      ],      "variables": {        "property1": 0,        "property2": 0      },      "comments": [        {          "message": "string",          "conversationType": "string"        }      ],      "constraints": [        {          "constraintType": "string"        }      ],      "sequence": 0    }  ],  "assemblyRequisitions": [    {      "requisitionIntentId": "4f452163-bc37-4324-abb4-e054f8422f48",      "assemblyId": "177e95d7-b841-4a88-9b1d-2e76eb106c0b",      "quantity": 0    }  ],  "expenses": [    {      "name": "string",      "type": "string"    }  ],  "currency": "USD",  "source": "string",  "ccCustomerIds": [    0  ]}'
{  "order": {    "id": 0,    "customerOrganisationId": 0,    "customerOrganisationName": "string",    "threadId": 0,    "createdAt": "2019-08-24T14:15:22Z",    "conversionDate": "2019-08-24T14:15:22Z",    "isConversionDateEditable": true,    "updateDt": "2019-08-24T14:15:22Z",    "isArchived": true,    "isVoided": true,    "isPurchaseOrder": true,    "isInProject": true,    "isSilent": true,    "hasWorkOrders": true,    "workOrders": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "workOrderNumber": 0,        "partName": "string",        "quantity": 0,        "startDate": "2019-08-24T14:15:22Z",        "dueDate": "2019-08-24T14:15:22Z",        "stages": [          {            "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",            "name": "string",            "quantity": 0          }        ]      }    ],    "source": "string",    "billingAddressId": 0,    "currency": "string",    "localCurrency": "string",    "paymentStatus": "string",    "awaitingStatus": "string",    "kanbanColumnId": "string",    "costCentreId": "string",    "costCentre": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "reference": "string",      "deleted": true,      "createdAt": "2019-08-24T14:15:22Z"    },    "quoteNumber": "string",    "orderNumber": "string",    "state": "QUOTE",    "accountingSystemEstimateId": "string",    "accountingSystemEstimateNumber": "string",    "accountingSystemConfirmationId": "string",    "accountingSystemConfirmationNumber": "string",    "accountingSystemInvoiceId": "string",    "accountingSystemInvoiceNumber": "string",    "accountingSystemInvoiceStatus": "DRAFT",    "affiliate": "string",    "createdBy": {      "email": "string",      "firstName": "string",      "lastName": "string"    },    "owner": {      "email": "string",      "firstName": "string",      "lastName": "string"    },    "actorType": "string",    "paymentDueDate": "2019-08-24T14:15:22Z",    "productionProgress": {      "volume": 0,      "quantity": 0    },    "requisitionIds": [      0    ],    "assemblyRequisitions": [      {        "id": 0,        "assemblyId": "177e95d7-b841-4a88-9b1d-2e76eb106c0b",        "assemblyName": "string",        "quantity": 0,        "assemblyPricePaid": 0,        "totalPricePaid": 0,        "partCount": 0,        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "expenses": [      {        "expenseId": 0,        "name": "string",        "description": "string",        "type": "string",        "accountingCategoryCode": "string",        "quantity": 0,        "unitPrice": 0,        "localUnitPrice": 0,        "price": 0,        "costForOperator": 0      }    ],    "shipping": {      "id": 0,      "operatorId": 0,      "shippingMode": "SELF_COLLECTION",      "shippingMethodId": 0,      "customerOrganisationId": 0,      "rateId": "string",      "toAddressId": 0,      "expectedDispatchDate": "2019-08-24",      "incoterm": "EXW",      "dispatchDate": "2019-08-24",      "toAddress": {        "addressId": 0,        "isBillingAddress": true,        "isShippingAddress": true,        "street1": "string",        "street2": "string",        "city": "string",        "state": "string",        "country": "string",        "countryAlpha2Code": "string",        "countryAlpha3Code": "string",        "jurisdictionIsoCode": "string",        "zip": "string",        "name": "string",        "company": "string",        "phone": "string",        "email": "string",        "residential": true,        "addressType": "string",        "isDeleted": true,        "taxId": "string"      },      "fromAddress": {        "addressId": 0,        "isBillingAddress": true,        "isShippingAddress": true,        "street1": "string",        "street2": "string",        "city": "string",        "state": "string",        "country": "string",        "countryAlpha2Code": "string",        "countryAlpha3Code": "string",        "jurisdictionIsoCode": "string",        "zip": "string",        "name": "string",        "company": "string",        "phone": "string",        "email": "string",        "residential": true,        "addressType": "string",        "isDeleted": true,        "taxId": "string"      },      "carrierAccountProvider": "string",      "carrierAccountServiceType": "string",      "carrierAccountServiceName": "string",      "estimatedRate": 0,      "finalRatePaid": 0    },    "shipments": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "COURIER",        "status": "PREPARED",        "incoterm": "EXW",        "fromAddress": {          "street1": "string",          "street2": "string",          "city": "string",          "state": "string",          "country": "string",          "zip": "string",          "name": "string",          "company": "string",          "phone": "string",          "email": "string",          "jurisdictionIsoCode": "string",          "residential": true,          "taxId": "string"        },        "parcels": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "grossWeightGrams": 0,            "netWeightGrams": 0,            "value": 0,            "width": 0,            "height": 0,            "length": 0,            "allocations": [              {                "requisitionId": 0,                "quantity": 0              }            ]          }        ],        "preparedAt": "2019-08-24T14:15:22Z",        "preparedBy": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "displayName": "string"        },        "releasedAt": "2019-08-24T14:15:22Z",        "releasedBy": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "displayName": "string"        },        "fulfilledAt": "2019-08-24T14:15:22Z",        "fulfilledBy": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "displayName": "string"        },        "documents": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string",            "contentType": "string",            "size": 0,            "uploadedBy": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "firstName": "string",              "lastName": "string",              "displayName": "string"            },            "createdAt": "2019-08-24T14:15:22Z"          }        ]      }    ],    "discount": {      "discountId": 0,      "discountType": "string",      "code": "string",      "percentage": 0,      "startTime": "2019-08-24T14:15:22Z",      "endTime": "2019-08-24T14:15:22Z",      "customerId": 0,      "customerEmail": "string",      "customerPhoneNumber": "string"    },    "tax": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "components": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "shortName": "string",          "longName": "string",          "percentage": 0,          "amount": 0,          "localAmount": 0        }      ],      "totalPrice": 0,      "localTotalPrice": 0,      "isTaxAppliedToShipping": true,      "isTaxExempted": true,      "accountingSystemTaxId": "string",      "taxNumber": "string"    },    "price": 0,    "localPrice": 0,    "topUpPrice": 0,    "purchaseOrderNumber": "string",    "customerAcceptedTime": "2019-08-24T14:15:22Z",    "operatorNote": "string",    "customReference": "string",    "bypassPurchasabilityChecks": true,    "subscribedCustomerIds": [      0    ],    "isEditable": true,    "pricingFrozen": true,    "labels": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "color": "string",        "sequence": 0,        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "shipment": {      "id": 0,      "operatorId": 0,      "shippingMode": "SELF_COLLECTION",      "shippingMethodId": 0,      "customerOrganisationId": 0,      "rateId": "string",      "toAddressId": 0,      "expectedDispatchDate": "2019-08-24",      "incoterm": "EXW",      "dispatchDate": "2019-08-24",      "toAddress": {        "addressId": 0,        "isBillingAddress": true,        "isShippingAddress": true,        "street1": "string",        "street2": "string",        "city": "string",        "state": "string",        "country": "string",        "countryAlpha2Code": "string",        "countryAlpha3Code": "string",        "jurisdictionIsoCode": "string",        "zip": "string",        "name": "string",        "company": "string",        "phone": "string",        "email": "string",        "residential": true,        "addressType": "string",        "isDeleted": true,        "taxId": "string"      },      "fromAddress": {        "addressId": 0,        "isBillingAddress": true,        "isShippingAddress": true,        "street1": "string",        "street2": "string",        "city": "string",        "state": "string",        "country": "string",        "countryAlpha2Code": "string",        "countryAlpha3Code": "string",        "jurisdictionIsoCode": "string",        "zip": "string",        "name": "string",        "company": "string",        "phone": "string",        "email": "string",        "residential": true,        "addressType": "string",        "isDeleted": true,        "taxId": "string"      },      "carrierAccountProvider": "string",      "carrierAccountServiceType": "string",      "carrierAccountServiceName": "string",      "estimatedRate": 0,      "finalRatePaid": 0    }  },  "requisitions": {    "property1": {      "id": 0,      "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",      "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",      "orderId": 0,      "orderNumber": "string",      "orderState": "QUOTE",      "customReference": "string",      "customerOrganisationId": 0,      "customerOrganisationName": "string",      "pricingType": "string",      "manualPrice": 0,      "pricePaid": 0,      "quantity": 0,      "createdAt": "2019-08-24T14:15:22Z",      "lastUpdated": "2019-08-24T14:15:22Z",      "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",      "workOrders": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "workOrderNumber": 0,          "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",          "name": "string",          "quantity": 0,          "routing": [            {              "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",              "sequence": 0,              "statusId": "e900225c-0629-4e96-be6e-86a17a309645"            }          ],          "createdAt": "2019-08-24T14:15:22Z",          "startDate": "2019-08-24T14:15:22Z",          "dueDate": "2019-08-24T14:15:22Z",          "priority": 0        }      ],      "variables": {        "property1": 0,        "property2": 0      },      "postProcessingVariables": [        {          "postProcessingId": 0,          "variables": {            "property1": 0,            "property2": 0          }        }      ],      "duration": 0,      "name": "string",      "sequence": 0    },    "property2": {      "id": 0,      "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",      "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",      "orderId": 0,      "orderNumber": "string",      "orderState": "QUOTE",      "customReference": "string",      "customerOrganisationId": 0,      "customerOrganisationName": "string",      "pricingType": "string",      "manualPrice": 0,      "pricePaid": 0,      "quantity": 0,      "createdAt": "2019-08-24T14:15:22Z",      "lastUpdated": "2019-08-24T14:15:22Z",      "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",      "workOrders": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "workOrderNumber": 0,          "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",          "name": "string",          "quantity": 0,          "routing": [            {              "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",              "sequence": 0,              "statusId": "e900225c-0629-4e96-be6e-86a17a309645"            }          ],          "createdAt": "2019-08-24T14:15:22Z",          "startDate": "2019-08-24T14:15:22Z",          "dueDate": "2019-08-24T14:15:22Z",          "priority": 0        }      ],      "variables": {        "property1": 0,        "property2": 0      },      "postProcessingVariables": [        {          "postProcessingId": 0,          "variables": {            "property1": 0,            "property2": 0          }        }      ],      "duration": 0,      "name": "string",      "sequence": 0    }  },  "accountingSyncWarning": "string"}